#ifndef _web_client_hpp_
#define _web_client_hpp_

struct web_client
{
	virtual void  post(const char*m,int mlen)=0;
	virtual void stop()=0;

	static web_client*instance(const char*ip,int port,const char*path);
};

#endif


